PATCHWORK(1fe)

NAME
patchwork - file format conversion application

SYNOPSIS
patchwork [-help] [-iformat filename] [-oformat filename] [-nocpp] [-cpp filename]

DESCRIPTION
Patchwork is a program to convert between different types of problem description file formats. Obviously, it is mainly intended as a method to go back and forth between standard felt(4fe) files and files formatted for input into other popular systems (e.g., DXF), but it could just as well be used to go between two of the alternative formats. In the above synopsis, iformat and oformat should be replaced with appropriate input and output format styles (see below).

OPTIONS
Patchwork accepts the following options:

-help
    Write a message describing valid command line options to standard error and exit.

-iformat filename
    Currently, iformat should be one of dxf, felt, or graph, specifying that the input is either a DXF file, a standard FElt input file, or a data file for a graphing application like gnuplot, respectively. A filename of "-" indicates that input should be read from standard input.

-oformat filename
    Currently, oformat should be one of dxf, felt, graph, or logan, specifying that the resulting output should be formatted as DXF, FElt, as input for gnuplot, or as appropriate input for the software that accompanies D.L. Logan's introductory finite element text. A filename of "-" indicates that the output should be written to standard output.

-nocpp
    Do not use a preprocessor on the input file.

-cpp filename
    Use filename as a preprocessor on the input file. The default preprocessor is "/lib/cpp". Any preprocssor which understands the -D, -U, and -I options can be used as these options are passed to the preprocessor.

AUTHOR
Patchwork was developed by Jason I. Gobat (jgobat@mit.edu) and Darren C. Atkinson (atkinson@ucsd.edu).

SEE ALSO
felt(4fe).